Bug 1608001 - Rearrange search/filter options on Red Hat Repositories page.
Summary: Rearrange search/filter options on Red Hat Repositories page.
Keywords:
Status: ON_QA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Repositories
Version: 6.4
Hardware: x86_64
OS: Linux
high
medium vote
Target Milestone: 6.8.0
Assignee: satellite6-bugs
QA Contact: Bruno Rocha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-07-24 17:57 UTC by Ashish Humbe
Modified: 2020-05-27 14:41 UTC (History)
8 users (show)

Fixed In Version: tfm-rubygem-katello-3.9.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)
Default Option (216.79 KB, image/png)
2018-09-28 09:30 UTC, Omkar Khatavkar
no flags Details


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 25068 High Closed Rearrange search/filter options on Red Hat Repositories page. 2020-05-25 11:02:12 UTC
Red Hat Knowledge Base (Solution) 3966101 Customize or extend None Rearrangement of search or filter options on Red Hat Repositories page for Red Hat Satellite 6. 2019-03-06 13:19:16 UTC

Description Ashish Humbe 2018-07-24 17:57:10 UTC
Description of problem:

We have an option to filter repos based on "RPM, Source RPM, Debug RPM, Kickstarter, OSTree, Beta, Other" but it is on the right-hand side of the page, it is not easily noticeable that it can be used with "Available" / "Enabled" / "Both" option with search bar. 

These search/filter options should be arranged well on the Repositories page to make it easy for users to understand.

Comment 1 Ashish Humbe 2018-07-24 18:09:03 UTC
By default its "Nothing Selected" so the search result provide all debug, source, ISO, beta, kickstart repos too, if we can make the "RPM" as default selected option then the search results will be reduced to some extent.

Comment 2 Roxanne Hoover 2018-07-27 18:09:35 UTC
The layout is as designed. I'd say it's premature to say this is a bug or if it would cause issues. 

As to your second comment. If the team feels that "RPM" would be the default selection of choice, based on what most customers are searching for, I am not against that.

Comment 3 Brad Buckingham 2018-07-27 19:51:52 UTC
Ashish, if the default filter was RPM, as suggested, would that address the primary concern?  That would provide consistency with the default in Satellite 6.3.

Based on comment 2, we might have to address location of widgets separately.

Comment 4 Ashish Humbe 2018-07-30 08:56:40 UTC
To be frank I discussed with some CEE folks and I understood that the "Nothing Selected" drop box should be next to search button. 

If it is as per design then we can keep those changes as it is, if we start getting support cases we will open new bugzilla for the same. 

Yeah, it will be good to have RPM as a default selected filter for this page.

Comment 5 matt jia 2018-07-31 00:41:52 UTC
If we can move the "Nothing Selected" drop box next to the "Available" dropdowns and use "RPM" as default, that would be more straight forward. On the other hand, I'm still not quite sure why do we need those two dropdowns. Would be more simpler to just get rid of them and make it consistent like searching a product on the products page, searching a task on the task page etc.?

Comment 6 Brad Buckingham 2018-07-31 17:36:08 UTC
Triaging to GA to support making the default filter 'RPM'.  The intent will be to not alter the layout of the UI at this time.

Comment 8 Walden Raines 2018-08-01 15:49:03 UTC
Created redmine issue https://projects.theforeman.org/issues/24518 from this bug

Comment 9 pm-sat@redhat.com 2018-08-09 14:02:44 UTC
Upstream bug assigned to walden@redhat.com

Comment 10 pm-sat@redhat.com 2018-08-09 14:02:48 UTC
Upstream bug assigned to walden@redhat.com

Comment 11 pm-sat@redhat.com 2018-08-13 16:02:38 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/24518 has been resolved.

Comment 12 Patrick Creech 2018-09-20 19:28:07 UTC
Walden, this failed cherrypick downstream, can you take a look?

Comment 15 Omkar Khatavkar 2018-09-28 09:27:45 UTC
As per the comments earlier, the expected behaviour has to be showing 'RPM' filter value by default on 'Nothing selected' filter and should functionally work like that 

Please let me know if this understanding is incorrect. 

As per current behaviour in satellite 6.4.24 snap fails to show expected behaviour.

I have attached screen-shot, please take a look. 

Status=Failed ON QA.

Comment 16 Omkar Khatavkar 2018-09-28 09:30:51 UTC
Created attachment 1488029 [details]
Default Option

Comment 17 Walden Raines 2018-09-28 18:19:00 UTC
Created redmine issue https://projects.theforeman.org/issues/25068 from this bug

Comment 19 Walden Raines 2018-10-01 15:22:40 UTC
New PR - https://github.com/Katello/katello/pull/7733

Comment 21 Walden Raines 2020-03-25 14:09:03 UTC
Unassigning issues I am not currently working on.

Comment 22 Bryan Kearney 2020-03-25 16:02:09 UTC
Upstream bug assigned to walden@redhat.com

Comment 23 Walden Raines 2020-03-31 14:08:17 UTC
Upstream issue is closed and PR is merged.


Note You need to log in before you can comment on or make changes to this bug.